import { DeclareConstructor } from "dojo/_base/declare";

declare namespace _CssStateMixin {
    interface CSSStateNodes {
        [node: string]: string;
    }


    interface _CssStateMixin {
        /**
         * True if cursor is over this widget
         */
        hovering: boolean;

        /**
         * True if mouse was pressed while over this widget, and hasn't been released yet
         */
        active: boolean;
    }
}

declare module "dojo/_base/kernel" {
    interface Dijit {
        _CssStateMixin: _CssStateMixinConstructor
    }
}

type _CssStateMixin = _CssStateMixin._CssStateMixin;
type _CssStateMixinConstructor = DeclareConstructor<_CssStateMixin>;
declare const _CssStateMixin: _CssStateMixinConstructor;
export = _CssStateMixin;
